<?php
/**
 * Amazon module return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */


echo json_encode(array(
	// create the box elements array
	'option_name' => WooZonePNF()->alias .'_general',

	'tabs' => array(
		WooZonePNF()->alias . '_general' => array(
			'label' 	=> 'General Setup',
			'elements' 	=> 'generator_page,admin_preview,sales_page_url,start_date,end_date,timezone',
		)
	),

	'elements' => array(

		'sales_page_url' => array(
	        'type' => 'html',
	        'title' => 'Sale Page URL',
	        'html' => '
	        	<div class="' . ( WooZonePNF()->alias ) . '_sales_page">
	        		<span>' . ( home_url('/') ) . '</span>
	        		<input style="width:150px;" name="#option_name#[#option_id#]" type="text" value="#option_value#">
	        		<a href="#live_build" target="blank" class="' . ( WooZonePNF()->alias ) . '-button yellow">View page</a>
	        	</div>'
	    ),

	    'admin_preview' => array(
	        'type' => 'html',
	        'title' => 'Preview as Admin',
	        'html' => '
	        	<a href="' . ( home_url( '?' . ( WooZonePNF()->alias ) . '_page=countdown&key=' . WooZonePNF()->preview_key('countdown') ) ) . '" target="_blank" class="' . ( WooZonePNF()->alias ) . '-button red">Preview Countdown Page</a>
	        	<a href="' . ( home_url( '?' . ( WooZonePNF()->alias ) . '_page=products&key=' . WooZonePNF()->preview_key('products') ) ) . '" target="blank" class="' . ( WooZonePNF()->alias ) . '-button red">Preview Winter Sale Products Page</a>
	        '
	    ),

	    'start_date' => array(
	        'type' => 'timepicker',
	        'title' => 'Start Date',
	        'std' => '',
	        'desc' => 'When the sale page will start.'
	    ),

	    'end_date' => array(
	        'type' => 'timepicker',
	        'title' => 'End Date',
	        'std' => '',
	        'desc' => 'When the sale page will end.'
	    ),

	    'timezone' => array(
            'type' => 'select',
            'std' => 'Europe/Bucharest',
            'size' => 'large',
            'force_width' => '200',
            'title' => 'Timezone :',
            'desc' => 'Timezone',
            'options' => WooZonePNF()->do_range( timezone_identifiers_list() ) //DateTimeZone::listIdentifiers()
        ),

	), // end elements
));